StringUtil (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.client

## Class StringUtil

- java.lang.Object
- - com.cloudera.api.swagger.client.StringUtil

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class StringUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `containsIgnoreCase(String[] array, String value)` Check if the given array contains the given value (with case-insensitive comparison).
    `static String` | `join(String[] array, String separator)` Join an array of strings with the given separator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringUtil

          public StringUtil()

  - ### Method Detail

    - #### containsIgnoreCase

          public static boolean containsIgnoreCase(String[] array,
                                                   String value)

      Check if the given array contains the given value (with case-insensitive comparison).
      Parameters:
        `array` - The array
        `value` - The value to search
      Returns:
        true if the array contains the value

    - #### join

          public static String join(String[] array,
                                    String separator)

      Join an array of strings with the given separator.

      Note: This might be replaced by utility method from commons-lang or guava someday if one of those libraries is added as dependency.

      Parameters:
        `array` - The array of strings
        `separator` - The separator
      Returns:
        the resulting string

Copyright © 2022. All rights reserved.